#ifndef POWER_H
#define POWER_H

#include "SparkFunBQ27441/SparkFunBQ27441.h"

extern volatile uint32_t battery_charge;

void bat_monitor_task(void* arg);

/// Initializes the battery gas guage for getting battery stats.
void init_power_board();

/// @brief Gets the battery voltage.
/// @return battery voltage in mV.
uint16_t get_bat_voltage();

/// @brief Prints the battery section of the header to the char_lcd. (row 0, columns 17-19)
void lcd_print_header_bat();

#endif /* POWER_H */
